commit:     a841d428e43862f0f4a6e2022a49b340892bd659
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 13 00:23:40 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Aug 13 00:23:40 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a841d428

media-video/ffmpeg-compat: sync with ffmpeg

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-video/ffmpeg-compat/ffmpeg-compat-6.1.2-r2.ebuild | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/media-video/ffmpeg-compat/ffmpeg-compat-6.1.2-r2.ebuild 
b/media-video/ffmpeg-compat/ffmpeg-compat-6.1.2-r2.ebuild
index 820362189448..d0cf2139f99c 100644
--- a/media-video/ffmpeg-compat/ffmpeg-compat-6.1.2-r2.ebuild
+++ b/media-video/ffmpeg-compat/ffmpeg-compat-6.1.2-r2.ebuild
@@ -383,7 +383,7 @@ src_prepare() {
        # respect user preferences
        sed -i '/cflags -fdiagnostics-color/d' configure || die
 
-       # handle *FLAGS here to avoid repeating for each ABI below (bug #923491)
+       # handle here to avoid repeating for each ABI below (bug #923491)
        FFMPEG_ENABLE_LTO=
        if tc-is-lto; then
                : "$(get-flag -flto)" # get -flto=<val> (e.g. =thin)
@@ -392,15 +392,15 @@ src_prepare() {
        filter-lto
 
        use elibc_musl && append-cppflags -D__musl__ #940733
-
-       if use npp; then
-               local cuda=${ESYSROOT}/opt/cuda/targets/$(usex amd64 x86_64 
sbsa)-linux
-               append-cppflags -I"${cuda}"/include
-               append-ldflags -L"${cuda}"/lib
-       fi
 }
 
 multilib_src_configure() {
+       if use npp && multilib_is_native_abi; then
+               local -x CPPFLAGS=${CPPFLAGS} LDFLAGS=${LDFLAGS}
+               append-cppflags $($(tc-getPKG_CONFIG) --cflags nppc || die)
+               append-ldflags $($(tc-getPKG_CONFIG) --libs-only-L nppc || die)
+       fi
+
        local conf=( "${S}"/configure ) # not autotools-based
 
        local prefix=${EPREFIX}/usr

Reply via email to